--- ./sys/fs/fuse/fuse_vnops.c.orig	2012-10-23 14:57:56.000000000 +0200
+++ ./sys/fs/fuse/fuse_vnops.c	2012-10-23 15:08:41.000000000 +0200
@@ -588,7 +588,7 @@
 	}
 
 	if ((fvdat->flag & FN_REVOKED) != 0 && fuse_reclaim_revoked) {
-		vrecycle(vp);
+		vrecycle(vp, td);
 	}
 	return 0;
 }
@@ -718,7 +718,7 @@
 		op = FUSE_GETATTR;
 		goto calldaemon;
 	} else if (fuse_lookup_cache_enable) {
-		err = cache_lookup(dvp, vpp, cnp, NULL, NULL);
+		err = cache_lookup(dvp, vpp, cnp);
 		switch (err) {
 
 		case -1:		/* positive match */
@@ -1878,7 +1878,7 @@
 			 * Read operation filled a partial page.
 			 */
 			m->valid = 0;
-			vm_page_set_valid_range(m, 0, size - toff);
+			vm_page_set_valid(m, 0, size - toff);
 			KASSERT(m->dirty == 0,
 			    ("fuse_getpages: page %p is dirty", m));
 		} else {
